Page MenuHomePhabricator

sidedata: use revlogv2 requirement in the test helper
ClosedPublic

Authored by marmoute on May 3 2021, 7:53 AM.

Details

Summary

We are about to drop the requirement dedicated to sidedata (since revlogv2 will
support them unconditionally and previous version will not.).

To prepare this more we adapt the test code to not use that requirements.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.May 3 2021, 7:53 AM
baymax updated this revision to Diff 27530.May 3 2021, 9:44 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27861.May 11 2021, 1:43 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27987.May 17 2021, 7:02 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.